# PSTSP - Functional Tests

## Configuration PSTSP - SupportLibrary

The library configuration is governed by the **configuraton.txt** file, 
which is located in the application startup directory or the directory set by the VM parameter `-Dpstsp.configuration.uri=path/to/this/configuration/file/`.
The file is excluded from version control because it contains the local runtime settings. (URL of the instance of the application being tested, paths to webdrivers ...).
The default configuration file is stored in **configurations.txt.default**.

It is necessary to create a configuration file (such as a sample copy) before running it for the first time.
You must verify and, if necessary, adjust the settings in the specified file before starting.
## Run

1. Library instalation **PSTSP - SupportLibrary**.
2. Prepare config file.
3. Run using class `RunAnyTest` or `RunSmokeTests`. It is also possible to use test runner included in IDE (Run tests from package `pstsp.functional_tests`).
