package pstsp.support.selenium_utils;

/**
 * Utilities for JavaScript
 *
 * Just for a confirmation modal alert window
 * 
 * @author Pavel Herout
 * @version 2019-24-11
 */

import org.openqa.selenium.Alert;
import pstsp.support.tools.Drivers;

public class JavaScript {

  /**
   * Gets text of alert
   * 
   * @return text
   */
  public static String getText_JS_Alert() {
    Alert alert = Drivers.getDriver().switchTo().alert();
    return alert.getText();
  }

  /**
   * Click on accept option
   */
  public static void confirm_JS_Alert() {
    Alert confirmAlert = Drivers.getDriver().switchTo().alert();
    confirmAlert.accept();
  }

  /**
   * Click on cancel option
   */
  public static void cancel_JS_Alert() {
    Alert alert = Drivers.getDriver().switchTo().alert();
    alert.dismiss();
  }

}
