package pstsp.support.services.assignmentswithoutteam;

import pstsp.support.pageobjects.assignmentswithoutteam.Assignments_Without_Team_Page;
import pstsp.support.pageobjects.commonparts.SideNavBarMentor_Page;
import pstsp.support.services.entities.storage.MentorInterrestTopicTable;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.test_utils.Check;
/**
 * Actions related to assignment without team page
 * Mentor
 * @author David Kuta
 */
public class Assignments_Without_Team_Actions {

    public static void changeAssignmentSuitabilityForTeam(String assignmentName, String teamName, int choice, String mentorName) {
        Login_Actions.loginIfNecessary(mentorName);
        SideNavBarMentor_Page snmp = new SideNavBarMentor_Page();
        Assignments_Without_Team_Page awtp = snmp.clickOnAssignmentsWithoutTeam();

        MentorInterrestTopicTable miit = awtp.getAllTopicInterrests();
        String expectedColor = miit.getColorForChoice(choice);
        miit.setValueByNameAndAssign(assignmentName, teamName, choice);
        Check.checkAndCloseAlert(true);
        Assignments_Without_Team_Check.checkChangeAssignmentSuitabilityForTeam(assignmentName, teamName, expectedColor);

    }
}
