package pstsp.support.services.entities;

import org.openqa.selenium.WebElement;
/**
 * Interrest to topic by team in assignment to Team Management page
 * @author David Kuta
 */
public class AsToTeamManagTeamInterrest {
    private WebElement teamName;
    private String priority;
    private String date;
    private String mentorStateColor;
    private WebElement garantAssignButton;

    public AsToTeamManagTeamInterrest(WebElement teamName, String priority, String date, String mentorStateColor, WebElement garantAssignButton) {
        this.teamName = teamName;
        this.priority = priority;
        this.date = date;
        this.mentorStateColor = mentorStateColor;
        this.garantAssignButton = garantAssignButton;
    }

    public WebElement getTeamName() {
        return teamName;
    }

    public String getPriority() {
        return priority;
    }

    public String getDate() {
        return date;
    }

    public String getMentorStateColor() {
        return mentorStateColor;
    }

    public WebElement getGarantAssignButton() {
        return garantAssignButton;
    }
}
