package pstsp.support.services.entities;

import org.openqa.selenium.WebElement;
/**
 * Single row from Assignment interrest from team page
 * @author David Kuta
 */
public class LeaderTopicInterrest {

   private WebElement topic;
   private String mentor;
   private String date;
   private String priority;
   private String topicSuitability;
   private String status;
   private String topicSuitabilityColor;
   private WebElement deleteButton;

    public LeaderTopicInterrest() {
         this.topic = null;
         this.mentor = "";
         this.date= "";
         this.priority= "";
         this.topicSuitability= "";
         this.topicSuitabilityColor = "";
         this.status= "";
         this.deleteButton = null;
    }

    public WebElement getTopic() {
        return topic;
    }

    public void setTopic(WebElement topic) {
        this.topic = topic;
    }

    public String getTopicName() {
        return this.getTopic().getText().strip();
    }
    public String getMentor() {
        return mentor;
    }

    public void setMentor(String mentor) {
        this.mentor = mentor;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getTopicSuitability() {
        return topicSuitability;
    }

    public String getTopicSuitabilityColor() {
        return topicSuitabilityColor;
    }

    public void setTopicSuitabilityColor(String topicSuitabilityColor) {
        this.topicSuitabilityColor = topicSuitabilityColor;
    }

    public void setTopicSuitability(String topicSuitability) {
        this.topicSuitability = topicSuitability;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public WebElement getDeleteButton() {
        return deleteButton;
    }

    public void setDeleteButton(WebElement deleteButton) {
        this.deleteButton = deleteButton;
    }

    @Override
    public String toString() {
        return "LeaderTopicInterrest{" +
                "topic=" + topic.getText().strip() +
                ", mentor='" + mentor + '\'' +
                ", date='" + date + '\'' +
                ", priority='" + priority + '\'' +
                ", topicSuitability='" + topicSuitability + '\'' +
                ", status='" + status + '\'' +
                ", topicSuitabilityColor='" + topicSuitabilityColor + '\'' +
                '}';
    }
}
