package pstsp.support.services.entities;

import org.openqa.selenium.WebElement;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
/**
 * Single row from mentor upcoming events
 * @author David Kuta
 */
public class MentUpcomingMeeting {

    private Date datetime;
    private String room;
    private String topic;
    private WebElement project;

    public Date getDatetime() {
        return datetime;
    }

    public void setDatetime(String datetime) throws ParseException {
        SimpleDateFormat formatter = new SimpleDateFormat("d.M.y H:m");
        this.datetime = formatter.parse(datetime);
    }

    public String getRoom() {
        return room;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public WebElement getProject() {
        return project;
    }

    public void setProject(WebElement project) {
        this.project = project;
    }

    @Override
    public String toString() {
        return "MentUpcomingMeeting{" +
                "datetime=" + datetime +
                ", room='" + room + '\'' +
                ", topic='" + topic + '\'' +
                ", project=" + project.getText() +
                '}';
    }
}
