package pstsp.support.services.entities;

import org.openqa.selenium.WebElement;
/**
 * Single row from mentor management table
 * @author David Kuta
 */
public class MentorInfo {
    private WebElement name;
    private String teamName;
    private String projectName;


    public WebElement getName() {
        return name;
    }

    public void setName(WebElement name) {
        this.name = name;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return "MentorInfo{" +
                "name=" + name.getText() +
                ", teamName='" + teamName + '\'' +
                ", projectName='" + projectName + '\'' +
                '}';
    }
}
