package pstsp.support.services.entities;

import java.util.Objects;
/**
 * Single representation of project link on project page
 * @author David Kuta
 */
public class ProjectLink {

   private final String name;
   private final String url;

    public ProjectLink(String name, String url) {
        this.name = name;
        this.url = url;
    }

    public String getName() {
        return name;
    }

    public String getUrl() {
        return url == null ? "" : url;
    }

    @Override
    public String toString() {
        return "ProjectLink{" +
                "name='" + getName() + '\'' +
                ", url='" + getUrl() + '\'' +
                '}';
    }
}
