package pstsp.support.services.entities;

import org.openqa.selenium.WebElement;
/**
 * Single row from Project page. Can be used to minimal criterie, user experience and project state table
 * @author David Kuta
 */
public class ProjectTableRow {
    private String stepName;
    private WebElement changeButtonToggle;
    private String changeButtonColor;
    private String otherButtonColor;
    private String otherTextInfo;

    public ProjectTableRow(){
        this.stepName="";
        this.changeButtonToggle=null;
        this.changeButtonColor="";
        this.otherButtonColor="";
        this.otherTextInfo="";
    }

    public String getStepName() {
        return stepName;
    }

    public void setStepName(String stepName) {
        this.stepName = stepName;
    }

    public WebElement getChangeButtonToggle() {
        return changeButtonToggle;
    }

    public void setChangeButtonToggle(WebElement changeButtonToggle) {
        this.changeButtonToggle = changeButtonToggle;
    }

    public String getChangeButtonColor() {
        return changeButtonColor;
    }

    public void setChangeButtonColor(String changeButtonColor) {
        this.changeButtonColor = changeButtonColor;
    }

    public String getOtherButtonColor() {
        return otherButtonColor;
    }

    public void setOtherButtonColor(String otherButtonColor) {
        this.otherButtonColor = otherButtonColor;
    }

    public String getOtherTextInfo() {
        return otherTextInfo;
    }

    public void setOtherTextInfo(String otherTextInfo) {
        this.otherTextInfo = otherTextInfo;
    }

    @Override
    public String toString() {
        return "ProjectTableRow{" +
                "stepName='" + stepName + '\'' +
                ", changeButtonToggle=" + changeButtonToggle +
                ", changeButtonColor='" + changeButtonColor + '\'' +
                ", otherButtonColor='" + otherButtonColor + '\'' +
                ", otherTextInfo='" + otherTextInfo + '\'' +
                '}';
    }
}
