package pstsp.support.services.negative.login;

import pstsp.support.basic.Url;
import pstsp.support.pageobjects.assignmentlist.Assignment_List_Page;
import pstsp.support.pageobjects.commonparts.HeaderBar_Page;
import pstsp.support.pageobjects.login.Login_Page;
import pstsp.support.selenium_utils.Click;

import java.util.List;
/**
 * Negative login actions
 * Unlogged
 * @author David Kuta
 */
public class Neg_Login_Actions {

    public static void invalidLogin(String userName, String passWord) {
        Click.openUrlAndWait(Url.URL_ASSIGNMENT_LIST);
        Login_Page lp = new HeaderBar_Page().clickOnLoginBTN();
        lp.setUsername(userName);
        lp.setPassword(passWord);
        lp.clickOnLoginButton_ErrorLogin();
    }

    public static void invalidLogin_blankInput(String userName, String passWord, List<String> expectedMessages) {
        Click.openUrlAndWait(Url.URL_ASSIGNMENT_LIST);
        Login_Page lp = new HeaderBar_Page().clickOnLoginBTN();
        lp.setUsername(userName);
        lp.setPassword(passWord);
        lp.clickOnLoginButton_BlankInput(expectedMessages);
    }
}
