package pstsp.support.pageobjects.assignmentswithmentor;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.pageobjects.commonparts.SideNavBarGarant_Page;
import pstsp.support.pageobjects.tagsmanagement.TagsManagement_Page;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import static org.junit.jupiter.api.Assertions.*;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class AssignmentsWithMentorPageTest {
    Assignments_With_Mentor_Page awmp;

    @BeforeEach
    void setUp() {
        Login_Actions.loginIfNecessary("garant");
        SideNavBarGarant_Page sn = new SideNavBarGarant_Page();
        this.awmp = sn.clickOnAssignmentsWithMentorPageLink();
    }


    @Test
    void getAssignments() {
        awmp.getAssignments().forEach((key, value) -> System.out.println(key + " " + value));
    }
}