package pstsp.support.pageobjects.assignmentswithouthmentor;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.pageobjects.assignmentswithoutteam.Assignments_Without_Team_Page;
import pstsp.support.pageobjects.commonparts.SideNavBarMentor_Page;
import pstsp.support.services.entities.AssignmentInfo;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class AssignmentsWithoutMentorPageTest {

    Assignments_Without_Mentor_Page awm;

    @BeforeEach
    void setUp() {
        Login_Actions.loginIfNecessary("mentor");
        SideNavBarMentor_Page snm = new SideNavBarMentor_Page();
        this.awm = snm.clickOnAssignmentsWithoutMentor();
    }

    @Test
    void getUnmentoredAssignments() {
        List<AssignmentInfo> assignList = awm.getUnmentoredAssignments();
        assignList.forEach(System.out::println);
        assignList.get(0).getNameLink().click();
    }
}