package pstsp.support.pageobjects.assignmenttoteammanagement;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.pageobjects.commonparts.SideNavBarGarant_Page;
import pstsp.support.services.entities.AssignmentToTeamManagementTableRow;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import java.util.List;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class AssignmentToTeamManagementPageTest {

    Assignment_To_Team_Management_Page attm;

    @BeforeEach
    void setUp() {
        Login_Actions.loginIfNecessary("garant");
        this.attm = new SideNavBarGarant_Page().clickAssignmentToTeamManagementPageLink();
    }

    @Test
    void getManagementTable() {
        List<AssignmentToTeamManagementTableRow> list = attm.getManagementTable();
        list.get(2).getListOfInterrests().get(0).getGarantAssignButton().click();
        
    }
}