package pstsp.support.pageobjects.homepage;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.basic.Url;
import pstsp.support.selenium_utils.Click;
import pstsp.support.test_utils.Check;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class HomePageTest {

    Home_Page homePage;

    @BeforeEach
    void setUp() {
        Click.openUrlAndWait(Url.BASE_URL);
        homePage = new Home_Page();
    }

    @Test
    void clickOnTeamEditButton() {
        this.homePage.clickOnLoginButton();
        Check.checkActualUrl(Url.URL_LOGIN);
    }
}