package pstsp.support.pageobjects.mentoredprojectshistory;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.pageobjects.assignmentswithouthmentor.Assignments_Without_Mentor_Page;
import pstsp.support.pageobjects.commonparts.SideNavBarMentor_Page;
import pstsp.support.services.entities.ProjectHistoryInfo;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;
@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class MentoredProjectsHistoryPageTest {
    Mentored_Projects_History_Page mph;

    @BeforeEach
    void setUp() {
        Login_Actions.loginIfNecessary("mentor");
        SideNavBarMentor_Page snm = new SideNavBarMentor_Page();
        this.mph = snm.clickOnMentoredProjectsHistory();
    }
    @Test
    void getMentoredProjectsHistory() {
        List<ProjectHistoryInfo> historyInfoList = mph.getMentoredProjectsHistory();
        historyInfoList.forEach(System.out::println);
    }
}