package pstsp.support.pageobjects.mentormanagement;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.openqa.selenium.devtools.v85.log.Log;
import pstsp.support.pageobjects.commonparts.SideNavBarGarant_Page;
import pstsp.support.pageobjects.commonparts.SideNavBarMentor_Page;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import static org.junit.jupiter.api.Assertions.*;
@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class MentorManagementPageTest {
    Mentor_Management_Page mmp;
    @BeforeEach
    void setUp() {
        Login_Actions.loginIfNecessary("garant");
        mmp = new SideNavBarGarant_Page().clickOnMentorManagementPageLink();
    }

    @Test
    void getTableWithMentorInfo() {
        mmp.getTableWithMentorInfo().forEach(System.out::println);
        mmp.getTableWithMentorInfo().get(0).getName().click();
    }
}