package pstsp.support.pageobjects.team;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.selenium_utils.MyAlert;
import pstsp.support.services.entities.LeaderTopicInterrest;
import pstsp.support.services.team.Team_Actions;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;
import java.util.List;


@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
public class TeamPageWithoutProjectTest {

    Team_Page teamPage;

    @BeforeEach
    void setUp() {
        this.teamPage = Team_Actions.goToTeamPageAsLeader("stricz");

    }

    @Test
    void getTopicInterrestTableData() {
        List<LeaderTopicInterrest> list = teamPage.getTopicInterrestTableContent();
        list.forEach(System.out::println);
    }

    @Test
    void deleteTopicInterrest(){
        List<LeaderTopicInterrest> list = teamPage.getTopicInterrestTableContent();
        list.get(0).getDeleteButton().click();

        MyAlert.getAlert().closeAlert();
    }
}
