package pstsp.support.pageobjects.teammanagement;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.pageobjects.commonparts.SideNavBarGarant_Page;
import pstsp.support.pageobjects.commonparts.SideNavBarLeader_Page;
import pstsp.support.services.entities.TeamStateTableRow;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import java.util.List;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class Team_Management_PageTest {

    Team_Management_Page tmp;

    @BeforeEach
    void setUp() {
        Login_Actions.loginIfNecessary("garant");
        tmp = new SideNavBarGarant_Page().clickOnTeamManagementPageLink();
    }

    @Test
    void getTeamManagementTable() {
        List<TeamStateTableRow> list =  tmp.getTeamManagementTable();
        list.forEach(System.out::println);
    }
}