package pstsp.support.services.assignment;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.services.entities.AssignmentInfo;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class AssignmentActionsTest {

    @Test
    void makeLeaderInterestOnAssignmentSuccess() {
        Assignment_Actions.makeLeaderInterestOnAssignmentSuccess("Rehabilitační hra pro virtuální realitu",
                "Velmi nízký","mentor","stricz");
    }

    @Test
    void makeMentorAssignAssignment() {
        String assignmentName = "Testování webové aplikace";
        String assignmentOwner = "Petr Dobrovolný";
        String assignmentOwnerMail = "dobr@example.com";
        Assignment_Actions.assignAssignmentToMentor(assignmentName,assignmentOwner,assignmentOwnerMail,"aloneMentor","Sam Mentor","aloneMentor@example.com");
    }
}