package pstsp.support.services.login;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.basic.Url;
import pstsp.support.pageobjects.commonparts.HeaderBar_Page;
import pstsp.support.pageobjects.commonparts.SideNavBarMentor_Page;
import pstsp.support.pageobjects.commonparts.SideNavBarUnlogged_Page;
import pstsp.support.selenium_utils.Click;
import pstsp.support.test_oracle.storage.UsersSet;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import static org.junit.jupiter.api.Assertions.assertEquals;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
public class HomeActionsTest {

    @Test
    @DisplayName("TC_reset_db")
    void resetDB() {
        Home_Actions.resetDB();
        Login_Actions.loginIfNecessary("mentor");
        Login_Actions.logoutIfPossible();
        Home_Actions.resetDB();
        Login_Actions.loginIfNecessary("garant");
        Home_Actions.resetDB();
        Login_Actions.loginIfNecessary("leader");
        Home_Actions.resetDB();
        Login_Actions.loginIfNecessary("motlm");
        Home_Actions.resetDB();
        Login_Actions.loginIfNecessary("papirnik");
        Home_Actions.resetDB();
        Login_Actions.loginIfNecessary("leader");
        Home_Actions.resetDB();
    }

    @Test
    @DisplayName("TC_reset_db")
    void resetDB_1() {
        Click.openUrlAndWait(Url.URL_ASSIGNMENT_LIST);
        Login_Actions.loginIfNecessary("mentor");
        new SideNavBarUnlogged_Page().clickAssignmentListPageLink();
        Login_Actions.loginIfNecessary("garant");
    }
}
