package pstsp.support.services.studentmanagement;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import static org.junit.jupiter.api.Assertions.*;
@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class StudentManagementActionsTest {

    @Test
    void addStudent() {
        String login ="nelap";
        String firstName ="Nela";
        String lastName ="Princová";
        String email ="nelap@zcu.cz";
        String personalID ="Z12B102R";
        String periodTSP ="LS 21/22 - ZS 22/23";
        String fieldOfStudy ="Fyzio";
        String faculty ="FZS";
        Student_Management_Actions.addStudent(login,firstName,lastName,email,personalID,periodTSP,fieldOfStudy,faculty,"garant", "leader");
    }

    @Test
    void makeLeader() {

        String firstName ="Student";
        String lastName ="BudVedoucí";
        String email ="nelap@zcu.cz";
        String personalID ="A15B1011C";

        Student_Management_Actions.makeStudentLeader(firstName,lastName,email,personalID,"Nový tým","garant");
    }

    @Test
    void removeStudent() {

        String firstName ="Nela";
        String lastName ="Princová";
        String email ="nelap@zcu.cz";
        String personalID ="Z12B102R";

        Student_Management_Actions.removeStudent(firstName,lastName,email,personalID,"garant","leader");
    }

}