package pstsp.support.services.tagmanagement;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.services.login.Home_Actions;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import static org.junit.jupiter.api.Assertions.*;
@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class TagManagementActionsTest {
    @BeforeAll
    public static void init(){
        Home_Actions.resetDB();
    }

    @Test
    void addTeamProfileSuccess() {
        Tag_Management_Actions.addTeamProfileSuccess("Pokusný tag",true,"garant");
    }

    @Test
    void addTeamProfileSuccess_1() {
        Tag_Management_Actions.addTeamProfileSuccess("Pokusnej",false,"garant");
    }

    @Test
    void addTeamRoleSuccess() {
        Tag_Management_Actions.addTeamRoleSuccess("Pokusnej 2","Růžová",false,"garant");
    }

    @Test
    void addTeamRoleSuccess_1() {
        Tag_Management_Actions.addTeamRoleSuccess("Pokusnej 3","Limetková",false,"garant");
    }

    @Test
    void editTeamProfileSuccess() {
        Tag_Management_Actions.editTeamProfileSuccess("Nové 3",true,"PHP",true,"garant");
    }

    @Test
    void editTeamRoleSuccess() {
        Tag_Management_Actions.editTeamRoleSuccess("Nové 3","Tyrkysová",true,"Programátor","Modrá",true,"garant");
    }
}