package pstsp.support.services.usermanagement;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

import static org.junit.jupiter.api.Assertions.*;
@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
class UserManagementActionsTest {

    @Test
    void addMentorSuccess() {
        String login = "kdohnal";
        String email = "kdohnnnn@example.com";
        String fistName = "Jaroslav";
        String lastName = "Dohnal";
        User_Management_Actions.addMentorSuccess(login,email,fistName,lastName,"garant");

    }

    @Test
    void removeMentorSuccess() {

        String fistName = "Jaroslav";
        String lastName = "Dohnal";
        String email = "kdohnnnn@example.com";
        String mentorLogin = "kdohnal";

        User_Management_Actions.removeMentorSuccess(fistName,lastName,email,mentorLogin,"tsp","garant");
    }

    @Test
    void removeLeaderSuccess() {

        String fistName = "Pan";
        String lastName = "Vedoucí";
        String email = "leader@example.zcu.cz";
        String mentorLogin = "leader";
        String leaderPass = "tsp";
        User_Management_Actions.removeLeaderSuccess(fistName,lastName,email,mentorLogin,leaderPass,"garant");
    }
}