# PSTSP - SupportLibrary

## Using SupportLibrary

The Maven tool is used to automate the build of the application.

Currently there is no Maven repository which contains PSTSP - SupportLibrary, you can use the clone repository to use the library and install the library using Maven tools.

To do so, run `mvn install` in the **pom.xml**


## Library configuration file

Configure a library with no **configuration.txt** file that resides in running application directories or set directories using the VM parameter -Dpstsp.configuration.uri=path/to/this/configuration/file/.
The file is excluded from version control because it contains the local runtime settings. (URL of the instance of the application being tested, paths to webdrivers ...).
The default configuration file is stored in ** Configurationations.txt.default **.

Before you can determine if they are copies of the files that are available.
In advance, it is possible to verify and possibly adjust the settings in the specified file.
