package pstsp.support.services.entities;

import java.util.HashSet;
import java.util.List;
import java.util.Set;
/**
 * Incomplete team representation
 * @author David Kuta
 */
public class IncompleteTeam {
    private String name;
    private String leaderName;
    private String leaderEmail;
    private List<String> memberRoles;
    private int teamSize;
    private Set<String> teamProfile;

    public IncompleteTeam(String name, String leaderName, String leaderEmail, List<String> memberRoles, int teamSize, Set<String> teamProfile) {
        this.name = name;
        this.leaderName = leaderName;
        this.leaderEmail = leaderEmail;
        this.memberRoles = memberRoles;
        this.teamSize = teamSize;
        this.teamProfile = teamProfile;
    }

    public String getName() {
        return name;
    }

    public String getLeaderName() {
        return leaderName;
    }

    public String getLeaderEmail() {
        return leaderEmail;
    }

    public List<String> getMemberRoles() {
        return memberRoles;
    }

    public int getTeamSize() {
        return teamSize;
    }

    public Set<String> getTeamProfile() {
        return teamProfile;
    }


}
