package pstsp.support.services.entities;

import org.openqa.selenium.WebElement;
/**
 * Single row from tag management tables
 * @author David Kuta
 */
public class TagTableRow {

    private String tagText;
    private String tagColor;
    private boolean isAccesible;
    private WebElement editButton;

    public String getTagText() {
        return tagText;
    }

    public void setTagText(String tagText) {
        this.tagText = tagText;
    }

    public String getTagColor() {
        return tagColor;
    }

    public void setTagColor(String tagColor) {
        this.tagColor = tagColor;
    }

    public boolean isAccesible() {
        return isAccesible;
    }

    public void setAccesible(boolean accesible) {
        isAccesible = accesible;
    }

    public WebElement getEditButton() {
        return editButton;
    }

    public void setEditButton(WebElement editButton) {
        this.editButton = editButton;
    }

    @Override
    public String toString() {
        return "TagTableRow{" +
                "tagText='" + tagText + '\'' +
                ", tagColor='" + tagColor + '\'' +
                ", isAccesible=" + isAccesible +
                ", editButton=" + editButton.getAttribute("href") +
                '}';
    }
}
