package pstsp.support.services.negative.project;

import pstsp.support.basic.Const;
import pstsp.support.pageobjects.commonparts.SideNavBarLeader_Page;
import pstsp.support.pageobjects.project.Edit_Links_Page;
import pstsp.support.pageobjects.project.Project_Page;
import pstsp.support.selenium_utils.Utils;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.test_utils.Check;

import java.util.List;
/**
 * Negative project actions
 * Leader
 * @author David Kuta
 */
public class Neg_Project_Actions {

    public static void setOtherUrlsNegative(List<String> otherLinks, String expectedMessage, String currentUser) {
        Login_Actions.loginIfNecessary(currentUser);
        Edit_Links_Page elp = new SideNavBarLeader_Page().clickOnProjectPageLink().clickOnEditLinksBtn();
        elp.setOther(otherLinks);
        elp.clickOnSubmitButton();
        Check.checkCorrectness(Utils.getFormErrorText().contains(expectedMessage), Const.ERROR_CLASS,"Error message " + expectedMessage + "was not found");
    }
}
