package pstsp.support.test_utils;

/**
 * Tags for test cases
 * According this tags these test cases can be selected
 * in the LauncherDiscoveryRequest for running
 *      
 *
 * This tags does not work in the case of running tests directly from IDE !
 * Use uis.runtests.RunTests instead
 *
 * @author Pavel Herout
 * @version 2022-01-20
 */

public class PstspTags {
  public static final String SMOKE = "SMOKE";
  public static final String PASSIVE = "PASSIVE";
  public static final String PAGE_CONTENT = "PAGE_CONTENT";
  public static final String LINK = "LINK";
  public static final String MODAL_CONTENT = "MODAL_CONTENT";
  public static final String DB_PAGE_CONTENT = "DB_PAGE_CONTENT";
  public static final String ACTIVE = "ACTIVE";
  public static final String ONE_CHANGE = "ONE_CHANGE";
  public static final String NEGATIVE = "NEGATIVE";
  public static final String END_TO_END = "END_TO_END";
  public static final String BOUNDARY = "BOUNDARY";
  public static final String FAIL = "FAIL";

  public static final String MENTOR = "MENTOR";
  public static final String LEADER = "LEADER";
  public static final String GARANT = "GARANT";
  public static final String UNLOGGED = "UNLOGGED";

  public static final String IMP_CRITICAL = "CRITICAL";
  public static final String IMP_MAJOR = "MAJOR";
  public static final String IMP_MINOR = "MINOR";
}
