package pstsp.support.pageobjects.login;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import pstsp.support.basic.Url;
import pstsp.support.pageobjects.commonparts.HeaderBar_Page;
import pstsp.support.selenium_utils.Click;
import pstsp.support.test_utils.Check;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
public class LogoutTest {

  @Test
  @DisplayName("TC_logout prihlaseneho")
  void logout() {
    Click.openUrlAndWait(Url.URL_LOGIN);
    Login_Page loginPage = new Login_Page();
    loginPage.setUsername("mentor");
    loginPage.setPassword("tsp");
    loginPage.clickOnLoginButton();
    HeaderBar_Page hbp = new HeaderBar_Page();
    hbp.clickOnLogoutLink();
    loginPage = new Login_Page();
    Check.checkIsEnabled(loginPage.isUsernameEnabled(), Login_Page.USERNAME_INPUT);
  }

}
