package pstsp.support.selenium_utils;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.openqa.selenium.Alert;
import pstsp.support.basic.Url;
import pstsp.support.pageobjects.team.Team_Page;
import pstsp.support.services.login.Login_Actions;
import pstsp.support.services.team.Team_Actions;
import pstsp.support.test_utils.Check;
import pstsp.support.test_utils.TestEvaluation;
import pstsp.support.test_utils.TestSetting;
import pstsp.support.tools.Drivers;

@ExtendWith(TestSetting.class)
@ExtendWith(TestEvaluation.class)
public class MyAlertTest {

    @BeforeEach
    void setUp() {
        Login_Actions.loginIfNecessary("leader");
        Login_Actions.logoutIfPossible();
    }

    @Test
    void closeAlert() {
        MyAlert alert = MyAlert.getAlert();
        alert.closeAlert();
        Check.checkBoolean(false,alert.getVisibility(),MyAlert.MY_ALERT_ID);
    }
}
